export declare class AkordAssetsGallery {
  assetsLocation: string;
  files: Array<{
    src: string;
    type: 'jpg' | 'jpeg' | 'gif' | 'bmp' | 'png' | 'mp4' | 'pdf' | 'doc' | 'mp3';
    name: string;
    hash: string;
  }>;
  mode: 'single' | 'group';
  darkMode: boolean;
  printEnabled: boolean;
  downloadEnabled: boolean;
  versionsEnabled: boolean;
  modeSwitchEnabled: boolean;
  darkModeSwitchEnabled: boolean;
  closeUrl: string;
  width: number;
  height: number | 'auto';
  numberOfFiles: number;
  activeFile: HTMLAkordFileViewerElement;
  activeFileIndex: number;
  swiper: HTMLAkordSwiperElement;
  fileViewers: Array<HTMLAkordFileViewerElement>;
  errorElement: HTMLDivElement;
  componentWillLoad(): void;
  slideChangedHandler(event: CustomEvent<number>): void;
  errorHandler(event: CustomEvent<number>): void;
  onClose(): void;
  print(): Promise<void>;
  download(): Promise<void>;
  getHeight(): number;
  render(): any;
}
